<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yida.data.school.transaction.mapper.EduApplyProductOrderStudentMapper">
    <resultMap id="BaseResultMap" type="com.yida.data.common.core.entity.apply.EduApplyProductOrderStudent">
        <!--@mbg.generated-->
        <!--@Table edu_apply_product_order_student-->
        <id column="id" property="id"/>
        <result column="order_id" property="orderId"/>
        <result column="student_id" property="studentId"/>
        <result column="student_name" property="studentName"/>
        <result column="student_number" property="studentNumber"/>
        <result column="student_family_type" property="studentFamilyType"/>
        <result column="student_parent_type" property="studentParentType"/>
        <result column="province_id" property="provinceId"/>
        <result column="city_id" property="cityId"/>
        <result column="county_id" property="countyId"/>
        <result column="town_id" property="townId"/>
        <result column="school_id" property="schoolId"/>
        <result column="school_name" property="schoolName"/>
        <result column="campus_id" property="campusId"/>
        <result column="campus_name" property="campusName"/>
        <result column="section_id" property="sectionId"/>
        <result column="section_name" property="sectionName"/>
        <result column="grade_id" property="gradeId"/>
        <result column="grade_name" property="gradeName"/>
        <result column="class_id" property="classId"/>
        <result column="class_name" property="className"/>
    </resultMap>
    <sql id="Base_Column_List">
        <!--@mbg.generated-->
        id, order_id, student_id, student_name, student_number, student_family_type, student_parent_type,
        province_id, city_id, county_id, town_id, school_id, school_name, campus_id, campus_name,
        section_id, section_name, grade_id, grade_name, class_id, class_name
    </sql>
</mapper>